# Uses of Class
org.apache.commons.math3.analysis.polynomials.PolynomialFunction

Packages that use PolynomialFunction
Package
Description
org.apache.commons.math3.analysis.interpolation
Univariate real functions interpolation algorithms.
org.apache.commons.math3.analysis.polynomials
Univariate real polynomials implementations, seen as differentiable univariate real functions.
org.apache.commons.math3.analysis.solvers
Root finding algorithms, for univariate real functions.

## Uses of PolynomialFunction in org.apache.commons.math3.analysis.interpolation

Methods in org.apache.commons.math3.analysis.interpolation that return PolynomialFunction
Modifier and Type
Method
Description
`PolynomialFunction[]`
HermiteInterpolator.`getPolynomials()`
Compute the interpolation polynomials.

## Uses of PolynomialFunction in org.apache.commons.math3.analysis.polynomials

Methods in org.apache.commons.math3.analysis.polynomials that return PolynomialFunction
Modifier and Type
Method
Description
`PolynomialFunction`
PolynomialFunction.`add(PolynomialFunction p)`
Add a polynomial to the instance.
`static PolynomialFunction`
PolynomialsUtils.`createChebyshevPolynomial(int degree)`
Create a Chebyshev polynomial of the first kind.
`static PolynomialFunction`
PolynomialsUtils.`createHermitePolynomial(int degree)`
Create a Hermite polynomial.
`static PolynomialFunction`
PolynomialsUtils.`createJacobiPolynomial(int degree, int v, int w)`
Create a Jacobi polynomial.
`static PolynomialFunction`
PolynomialsUtils.`createLaguerrePolynomial(int degree)`
Create a Laguerre polynomial.
`static PolynomialFunction`
PolynomialsUtils.`createLegendrePolynomial(int degree)`
Create a Legendre polynomial.
`PolynomialFunction[]`
PolynomialSplineFunction.`getPolynomials()`
Get a copy of the interpolating polynomials array.
`PolynomialFunction`
PolynomialFunction.`multiply(PolynomialFunction p)`
Multiply the instance by a polynomial.
`PolynomialFunction`
PolynomialFunction.`negate()`
Negate the instance.
`PolynomialFunction`
PolynomialFunction.`polynomialDerivative()`
Returns the derivative as a `PolynomialFunction`.
`PolynomialFunction`
PolynomialFunction.`subtract(PolynomialFunction p)`
Subtract a polynomial from the instance.
Methods in org.apache.commons.math3.analysis.polynomials with parameters of type PolynomialFunction
Modifier and Type
Method
Description
`PolynomialFunction`
PolynomialFunction.`add(PolynomialFunction p)`
Add a polynomial to the instance.
`PolynomialFunction`
PolynomialFunction.`multiply(PolynomialFunction p)`
Multiply the instance by a polynomial.
`PolynomialFunction`
PolynomialFunction.`subtract(PolynomialFunction p)`
Subtract a polynomial from the instance.
Constructors in org.apache.commons.math3.analysis.polynomials with parameters of type PolynomialFunction
Modifier
Constructor
Description
``
`PolynomialSplineFunction(double[] knots, PolynomialFunction[] polynomials)`
Construct a polynomial spline function with the given segment delimiters and interpolating polynomials.

## Uses of PolynomialFunction in org.apache.commons.math3.analysis.solvers

Methods in org.apache.commons.math3.analysis.solvers with parameters of type PolynomialFunction
Modifier and Type
Method
Description
`protected void`
AbstractPolynomialSolver.`setup(int maxEval, PolynomialFunction f, double min, double max, double startValue)`
Prepare for computation.